{ config, lib, pkgs, user, ... }:

{
  programs.i3status-rust = {
    enable = true;
    bars = {
      default = {
        theme = "solarized-dark";
        icons = "awesome6";

        blocks = [
          {
            block = "cpu";
            interval = 1;
            format = " $icon $barchart $frequency ";
          }
          {
            block = "battery";
            missing_format = "";
            format = " $icon $time $percentage ";
          }
          {
            block = "time";
            interval = 60;
            format = " $icon $timestamp.datetime(f:'%a %d.%m %R') ";
          }
        ];
      };
    };
  };
}
